<?php

function uprav_prispevok() {        /*////////////////  Upraví údaje o danom prispevku  ////////////////*/
    if ($link = spoj_s_db()) { 
      $sprava = bbcode(nl2br(htmlspecialchars($_POST['sprava_uprav'])));
			$sql = "UPDATE forum_prispevky 
              SET sprava='" . $sprava . "',
                  sprava_orig='" . addslashes(strip_tags($_POST['sprava_uprav'])) . "' 
              WHERE id_fora='".$_GET['f']."' AND
                    id_temy='".$_GET['t']."' AND
                    id_prispevku='".$_GET['p']."'";
			$result = mysql_query($sql, $link);
			
		mysql_close($link);
	  } else {
  		  echo '<p>Nepodarilo sa spojiť s databázovým serverom</p>';
	    }
}

function uprav_temu() {        /*////////////////  Upraví údaje o danom prispevku  ////////////////*/
    if ($link = spoj_s_db()) { 
      $tema = bbcode(nl2br(htmlspecialchars($_POST['tema'])));
      $popis = bbcode(nl2br(htmlspecialchars($_POST['popis'])));
			$sql = "UPDATE forum_temy 
              SET tema='" . $tema . "',
			            popis='" . $popis . "',
			            tema_orig='" . addslashes(strip_tags($_POST['tema'])) . "',
			            popis_orig='" . addslashes(strip_tags($_POST['popis'])) . "'
              WHERE id_fora='".$_GET['f']."' AND
                    id_temy='".$_GET['t']."'";
			$result = mysql_query($sql, $link);
			
		mysql_close($link);
	  } else {
  		  echo '<p>Nepodarilo sa spojiť s databázovým serverom</p>';
	    }
}

function uprav_profil($co) {        /*////////////////  Upraví údaje o danom prispevku  ////////////////*/
    if ($link = spoj_s_db()) { 
      /*if ($co=='nar') {
        $sql = "UPDATE forum_pouzivatelia 
                SET nar_d='" . addslashes(strip_tags($_POST['edit_d'])) . "',
                    nar_m='" . addslashes(strip_tags($_POST['edit_m'])) . "',
                    nar_r='" . addslashes(strip_tags($_POST['edit_r'])) . "',
                    nar='" .addslashes(strip_tags($_POST['edit_d'])).'.'.addslashes(strip_tags($_POST['edit_m'])).'.'.addslashes(strip_tags($_POST['edit_r'])). "'
                WHERE id='".$_GET['pr']."'";
			  $result = mysql_query($sql, $link);
		    mysql_close($link);
		    $_SESSION[$co] = $_POST['edit'];
      }
      else {*/
			  $sql = "UPDATE forum_pouzivatelia 
                SET $co='" . addslashes(strip_tags($_POST['edit'])) . "'
                WHERE id='".$_GET['pr']."'";
			  $result = mysql_query($sql, $link);
		    mysql_close($link);
		    $_SESSION[$co] = $_POST['edit'];
		  /*}*/
	  } else {
  		  echo '<p>Nepodarilo sa spojiť s databázovým serverom</p>';
	    }
}

function nastav_skin() {        /*////////////////   ////////////////*/
    if ($link = spoj_s_db()) { 
			$sql = "UPDATE forum_pouzivatelia 
              SET skin='" . addslashes(strip_tags($_POST['skin'])) . "'
              WHERE id='".$_SESSION['id']."'";
			$result = mysql_query($sql, $link);
		  mysql_close($link);
		  $_SESSION[skin] = $_POST['skin'];
		  header("Location: ./nastavenia.php?f=".$_GET['f']);
	  } else {
  		  echo '<p>Nepodarilo sa spojiť s databázovým serverom</p>';
	    }
}

function uploadni_to($typ) {              /*////////////////  upload fotky  ////////////////*/
    if ($link = spoj_s_db()) { 
			$sql = "UPDATE forum_pouzivatelia SET foto='".$_SESSION['id'].'.'.$typ."' WHERE id='".$_SESSION['id']."'";
			$result = mysql_query($sql, $link);
		  mysql_close($link);
		  $_SESSION['foto'] = $_SESSION['id'].'.'.$typ;
		  header("Location: ./profil.php?f=".$_GET['f']."&pr=".$_GET['pr']);
	} else {
  		echo '<p>Nepodarilo sa spojiť s databázovým serverom</p>';
	}
}

?>
